Subject: Re: howto use ioremap_wc?

From: Roland Dreier <[email-masked]>
Date: Wed, 04 Jun 2008 21:53:54 -0700

This thread reminds me of another question about interfaces for using
PAT.  Are there any plans for making pgprot_writecombine() a generic
interface that portable drivers can use to map PCI memory into userspace
with WC turned on?  (Falling back to uncached when WC is not available
for whatever reason is fine for the case I have in mind)

Maybe it's better to ask at a higher level: what's the right thing for a
driver to do in an mmap method when it wants to expose PCI memory to
userspace with WC turned on if possible?  I see that the PCI sysfs code
on x86 does it using non-exported (hence not available to a driver
buildable as a module) interfaces.

Thanks,
  Roland